(function(WIN){
    var isOnline = true;
    var domain = '.cqyuqixin.com';
    var protocol = location.protocol;
    var staticHost = protocol + '//statics' + domain;
    var apiHost = protocol + '//api' + domain;
    var adminHost = protocol + '//admin' + domain;
    var avatarHost = protocol + '//fs' + domain;
    var webHost = protocol + '//web' + domain;

    WIN._APP_CONFIG = {
      orgType: 31,
      domain: domain,
      name: '渝企信',
      province: '重庆',
      provinceTypeText: '市',
      shortName: '渝企信',
      company: '重庆移动',
      slogan: '云办公更轻松',

      apiHost: apiHost,
      webHost: webHost,
      adminHost: adminHost,
      avatarHost: avatarHost,
      staticHost: staticHost,

      logo: staticHost + '/config/logo.png',
      rlogo: staticHost + '/config/rlogo.png',
      favicon: staticHost + '/config/favicon.ico',
      loading: staticHost + '/config/loading.gif',

      busUrl: apiHost + '/bus/1/index.html',
      avatarUrl: avatarHost + '/sfs/avatar?uid=',
      signinUrl: apiHost + '/signin/1/index.html',
      approveUrl: apiHost + '/approve/1/index.html',
      expenseUrl: apiHost + '/expense/1/index.html',
      workreportUrl: apiHost + '/workreport/1/index.html',
      downloadUrl: protocol + '//www' + domain + '/d',
      loginUrl: adminHost + '/#/selfLogin',
      weixinShareUrl: apiHost + '/sop/wechat/share/config.json',
      superadminUrl: protocol + '//superadmin.uban360.' + (isOnline ? 'com' : 'net')
    }

    var checkUrl = [
      adminHost + '/htmls/authorize/index.html',
      adminHost + '/htmls/createorg/success.html',
      apiHost + '/approve/1//index.html',
      apiHost + '/workreport/1/index.html',
      apiHost + '/hr/1/personnel_app_index.html'
    ]

    var isInCheckUrl = checkUrl.some(function(x) {
      if (location.href.indexOf(x) > -1) {
        return true
      }
      return false
    })

    if (isInCheckUrl && (!/orgId=/g.test(document.cookie) || !/userId=/g.test(document.cookie))) {
      location.href = staticHost + '/cdn/htmls/error/index.html?errmsg=%E6%9C%AA%E7%99%BB%E5%BD%95'
    }
  })(window);